 //starting with jQuery.... 
 $('html').removeClass('no-js').addClass('js');

 const nav = $('.main-nav'); //const cannot be redeclared or reassigned a new value. It will ALWAYS be nav

 let topOfNav = nav.position().top; //holds the top position of our nav
 let heightOfNav = nav.height();
 const theBod = $('body'); //stores the body element

 //my stickyNav function
 let addedClass;

 function fixNav(){
  //console.log('top', addedClass);
    if($(window).scrollTop() >= topOfNav){
      theBod.addClass('fixed-nav');
      addedClass = true;
    }else{
      theBod.removeClass('fixed-nav');
      addedClass = false;
    }
    //console.log('bottom', addedClass)
 }

$(window).on('scroll', fixNav);

$(window).on('resize', function(){
  //because resize makes a difference in everything...
  topOfNav = nav.position().top;
  heightOfNav = nav.height();
  console.log(topOfNav, heightOfNav);
})

let clicked = 0;

$('.main-nav li a').on('click', function(event){
  //console.log(addedClass); //are we adding the class to the body?
    clicked++;

    if(this.hash !== ''){
      event.preventDefault(); //prevents a tag from jumping up immediately
      //store the hash
      let hash = this.hash; //gets the value of the hash clicked
      //has position?

      let winTop = $(window).scrollTop(); //tells us where the position of the window is... before animating

      let hashPageY = $(hash).offset().top;
      let menuOffset = $('.main-nav').height();

      if(winTop < hashPageY){
        // console.log('we are going down');
        // console.log('added class is:', addedClass)      
        if(hashPageY > topOfNav){
          // console.log('we should see the stickyNav');
          // console.log('added class is:', addedClass)
          hashPageY-=menuOffset;
          if(clicked == 1){
           hashPageY-=menuOffset; //adding the offset again as when it comes from the top of the page from the menu... that menu got taken out of the flow and effected the position of all the elements that followed after. 
          }
        }else{
          console.log('we should see the nav go away.')
        }

      }else{
        console.log('we are going up');
        if(hashPageY > topOfNav){
          console.log('we should see the stickyNav');
          console.log('added class is:', addedClass)
          hashPageY-=menuOffset;
        }else{
          console.log('we should see the nav go away.')
          clicked = 0; //reset the value of clicked.
        }

      }


      //using jQ's animate mthod to add smooth page scroll

      let bodAnimate = 0;
      //what is the current value of the scrollTop?
      

      $('html, body').animate({
        scrollTop:(hashPageY)
      }, 800, function(){
        //this is getting called twice due to being called on HTML AND body the following code ensures that the code gets run only once:
        if(bodAnimate == 0){
          //run animation
          bodAnimate++;
          //gets the fist part of the array which is the location of the window without the #
          let winStripHash = (window.location.href).split('#')[0];

          //changes URL without refresh and marks it in the browser history
          history.pushState((winStripHash), $('title').text(), winStripHash+hash);

        }

      })

    }

})